Breaks sources.list for some ports when used

Bug #531876 reported by Alexander Sack on 2010-03-04
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
High
Emmet Hikory
Dapper
High
Emmet Hikory
Hardy
High
Emmet Hikory
Intrepid
High
Unassigned
Jaunty
High
Emmet Hikory
Karmic
High
Emmet Hikory
Lucid
High
Emmet Hikory

Bug Description

Binary package hint: python-apt

python-apt defaults to archive.ubuntu.com except for specifically listed architectures. As a result, it removes entries referencing ports.ubuntu.com on upgrade, except for an incomplete list of special-case architectures, which leads to update and upgrade failures.

WORKAROUND:

Those encountering this bug must manually recreate a sources.list that minimally includes:

deb http://ports.ubuntu.com/ubuntu-ports/ karmic main restricted
deb http://ports.ubuntu.com/ubuntu-ports/ karmic-updates main restricted

Once the bug is fixed, those who have downloaded the fix (after using this workaround) will be able to again use software-properties to adjust the set of sources. Those using releases other than "karmic" are encouraged to replace "karmic" with the appropriate release codename in the lines above.

Related branches

Revision history for this message
Alexander Sack (asac) wrote :

high importance at least as softwrae-properties is broken ... targetting for all releases

Changed in python-apt (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
importance: Critical → High
Changed in python-apt (Ubuntu Jaunty):
assignee: nobody → Emmet Hikory (persia)
Changed in python-apt (Ubuntu Karmic):
assignee: nobody → Emmet Hikory (persia)
Changed in python-apt (Ubuntu Lucid):
assignee: nobody → Emmet Hikory (persia)
Emmet Hikory (persia) on 2010-03-04
Changed in python-apt (Ubuntu Intrepid):
assignee: nobody → Emmet Hikory (persia)
Changed in python-apt (Ubuntu Hardy):
assignee: nobody → Emmet Hikory (persia)
Changed in python-apt (Ubuntu Dapper):
assignee: nobody → Emmet Hikory (persia)
summary: - Ubuntu.info lacks *-armel: info - breaks sources.list when adding
- proposed in software-properties
+ Ubuntu.info only has limited ports info - breaks sources.list when
+ adding proposed in software-properties
Changed in python-apt (Ubuntu Karmic):
status: New → Triaged
Changed in python-apt (Ubuntu Jaunty):
status: New → Triaged
Changed in python-apt (Ubuntu Intrepid):
status: New → Triaged
Changed in python-apt (Ubuntu Dapper):
status: New → Triaged
Changed in python-apt (Ubuntu Hardy):
status: New → Triaged
Changed in python-apt (Ubuntu Karmic):
importance: Undecided → High
Changed in python-apt (Ubuntu Hardy):
importance: Undecided → High
Changed in python-apt (Ubuntu Dapper):
importance: Undecided → High
Changed in python-apt (Ubuntu Jaunty):
importance: Undecided → High
Changed in python-apt (Ubuntu Intrepid):
importance: Undecided → High
description: updated
summary: - Ubuntu.info only has limited ports info - breaks sources.list when
- adding proposed in software-properties
+ Breaks sources.list for some ports when used
Revision history for this message
Julian Andres Klode (juliank) wrote :
Revision history for this message
Emmet Hikory (persia) wrote :

No, actually that breaks it harder. It doesn't use ports.ubuntu.com for stuff not on archive.ubuntu.com, and it presumes mirrors exist for all architectures (which doesn't tend to be true for Ubuntu). The more comprehensive fix to this bug is to refactor Ubuntu.info.in to default to ports (where the majority of architectures reside), and special-case exceptions. To save my typing, I've special-cased ports for very old releases (where more architectures were on archive.ubuntu.com and fewer on ports.ubuntu.com) in http://bazaar.launchpad.net/~persia/python-apt/lucid+bf531876/revision/341

I've not encountered the build failure that http://bzr.debian.org/loggerhead/apt/python-apt/debian-sid/revision/352 claims to fix (I also test build on powerpc), but my fear is that it would imply that mirrors worked for ports, which doesn't tend to be the case.

description: updated
description: updated
Revision history for this message
Emmet Hikory (persia) wrote :

I'm a little stuck on this for Dapper: it needs a different kind of fix. Those of you running Dapper on hppa or ia64, or those planning an upgrade to hardy on powerpc or sparc may be affected by this: do take care when upgrading if there are not further updates to this bug.

Emmet Hikory (persia) on 2010-03-06
tags: added: armel ia64 powerpc sparc
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.7.13.4ubuntu5

---------------
python-apt (0.7.13.4ubuntu5) lucid; urgency=low

  [ Michael Vogt ]
  * data/templates/Ubuntu.info.in:
    - make armel point to ports.ubuntu.com (LP: #531876)

  [ Emmet Hikory ]
  * data/templates/Ubuntu.info.in:
    - refactor to use ports by default for gutsy and newer releases
    - Set appropriate exceptions to defaults for warty-lucid
 -- Emmet Hikory <email address hidden> Fri, 05 Mar 2010 10:22:05 +0900

Changed in python-apt (Ubuntu Lucid):
status: Triaged → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Accepted python-apt into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in python-apt (Ubuntu Hardy):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in python-apt (Ubuntu Intrepid):
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted python-apt into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in python-apt (Ubuntu Jaunty):
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted python-apt into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Martin Pitt (pitti) wrote :

Accepted python-apt into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in python-apt (Ubuntu Karmic):
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Anyone who can test this?

Revision history for this message
Martin Pitt (pitti) wrote :

Timing out for intrepid.

2010-04-29 08:58:24 INFO Removing candidates:
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid amd64
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid hppa
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid i386
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid ia64
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid lpia
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid powerpc
2010-04-29 08:58:24 INFO python-apt 0.7.7.1ubuntu4.1 in intrepid sparc
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid amd64
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid hppa
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid i386
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid ia64
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid lpia
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid powerpc
2010-04-29 08:58:24 INFO python-apt-dbg 0.7.7.1ubuntu4.1 in intrepid sparc
2010-04-29 08:58:24 INFO Removed-by: Martin Pitt
2010-04-29 08:58:24 INFO Comment: unverified SRU, intrepid EOL
2010-04-29 08:58:24 INFO 15 packages successfully removed.

Changed in python-apt (Ubuntu Intrepid):
assignee: Emmet Hikory (persia) → nobody
status: Fix Committed → Won't Fix
Revision history for this message
Martin Pitt (pitti) wrote :

This update has been in hardy-proposed for half a year or longer, without any testing feedback. I removed the hardy-proposed package again.

Changed in python-apt (Ubuntu Hardy):
status: Fix Committed → Won't Fix
Martin Pitt (pitti) on 2010-07-28
Changed in python-apt (Ubuntu Karmic):
status: Fix Committed → Won't Fix
Changed in python-apt (Ubuntu Dapper):
status: Triaged → Won't Fix
Changed in python-apt (Ubuntu Jaunty):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers